#ifndef _gradientfillvisualizationcomponent_h_
#define _gradientfillvisualizationcomponent_h_

class CGradientFillVisComponent : public CVisComponent
{
public:
	CGradientFillVisComponent();
	~CGradientFillVisComponent();

	int GetData(COMPONENT_PROPERTY_DATA_ARRAY & aryPropertyData);
	int SetData(const COMPONENT_PROPERTY_DATA_ARRAY * paryPropertyData);

	int Draw(IVisBuffer * pBuffer, IVisData * pVisData);

protected:

	int Initialize();

	CMapStringToString m_mapGradients;
	CMapStringToString m_mapGradientSpeeds;

	CGradientEx m_GradientEx;
	float m_fGradientSpeed;
	float m_fGradientY;
};

#endif // _gradientfillvisualizationcomponent_h_