#ifndef _mjvislib_h_
#define _mjvislib_h_

// helpful defines
#define SAFE_DELETE(Pointer) if (Pointer) { delete Pointer; Pointer = NULL; }
#define SAFE_ARRAY_DELETE(Pointer) if (Pointer) { delete [] Pointer; Pointer = NULL; }
#define SAFE_FREE_STRING(Pointer) if (Pointer) { SysFreeString(Pointer); Pointer = NULL; }

// needed includes
#include <math.h>
#include <afxtempl.h>

#include "VisPluginLib.h"
#include "IVisBuffer.h"
#include "VisCommonFunctions.h"
#include "VisComponent.h"
#include "MathEvaluator.h"
#include "MJVisLibHelpers.h"
#include "PictureHolderEx.h"
#include "GradientEx.h"

#endif // _mjvislib_h_